KTextEditor::Document Class Referenceabstract

`#include <document.h>`

Inheritance diagram for KTextEditor::Document:

## Public Member Functions

| Document (QObject *parent=0, const char *name=0)
unsigned int | documentNumber () const
QCString | documentDCOPSuffix () const
virtual class View * | createView (QWidget *parent, const char *name=0)=0
virtual QPtrList< class View > | views () const =0
Public Member Functions inherited from KTextEditor::Editor
| Editor (QObject *parent=0, const char *name=0)
unsigned int | editorNumber () const

## Friends

class | PrivateDocument

## Detailed Description

The main class representing a text document.

This class provides access to the document's views.

Definition at line 31 of file document.h.

## Member Function Documentation

virtual class View* KTextEditor::Document::createView | ( | QWidget * | parent,
|  | const char * | name = `0`
| ) |  |

pure virtual

Create a view that will display the document data.

You can create as many views as you like. When the user modifies data in one view then all other views will be updated as well.

QCString Document::documentDCOPSuffix | ( |  | ) | const

Returns this document's DCOP suffix for identifiying its DCOP interface.

Definition at line 124 of file ktexteditor.cpp.

unsigned int Document::documentNumber | ( |  | ) | const

Returns the global number of this document in your app.

Definition at line 119 of file ktexteditor.cpp.

The documentation for this class was generated from the following files:

- document.h
- ktexteditor.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys